
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TTaskRoleType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TTaskRoleType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="applicant"/&gt;
 *     &lt;enumeration value="sender"/&gt;
 *     &lt;enumeration value="recipient"/&gt;
 *     &lt;enumeration value="instructor"/&gt;
 *     &lt;enumeration value="requestDocument"/&gt;
 *     &lt;enumeration value="requestSignature"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TTaskRoleType")
@XmlEnum
public enum TTaskRoleType {

    @XmlEnumValue("applicant")
    APPLICANT("applicant"),
    @XmlEnumValue("sender")
    SENDER("sender"),
    @XmlEnumValue("recipient")
    RECIPIENT("recipient"),
    @XmlEnumValue("instructor")
    INSTRUCTOR("instructor"),
    @XmlEnumValue("requestDocument")
    REQUEST_DOCUMENT("requestDocument"),
    @XmlEnumValue("requestSignature")
    REQUEST_SIGNATURE("requestSignature");
    private final String value;

    TTaskRoleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TTaskRoleType fromValue(String v) {
        for (TTaskRoleType c: TTaskRoleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
